public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-go/go-dep-tarball/files/, dev-go/go-dep-tarball/
@ 2024-05-15 19:40 William Hubbs
  0 siblings, 0 replies; 2+ messages in thread
From: William Hubbs @ 2024-05-15 19:40 UTC (permalink / raw
  To: gentoo-commits

commit:     5119efd002380b3d1d56f4dc5aa9bde577ea7edf
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Wed May 15 19:40:20 2024 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Wed May 15 19:40:20 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5119efd0

dev-go/go-dep-tarball: new package, add 0

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 dev-go/go-dep-tarball/files/go-dep-tarball-0  | 59 +++++++++++++++++++++++++++
 dev-go/go-dep-tarball/go-dep-tarball-0.ebuild | 17 ++++++++
 dev-go/go-dep-tarball/metadata.xml            |  8 ++++
 3 files changed, 84 insertions(+)

diff --git a/dev-go/go-dep-tarball/files/go-dep-tarball-0 b/dev-go/go-dep-tarball/files/go-dep-tarball-0
new file mode 100644
index 000000000000..d630445fa770
--- /dev/null
+++ b/dev-go/go-dep-tarball/files/go-dep-tarball-0
@@ -0,0 +1,59 @@
+#!/bin/bash
+# Copyright (c) 2024, William Hubbs
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 
+# 1. Redistributions of source code must retain the above copyright notice,
+#    this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+# 3. Neither the name of the copyright holder nor the names of its
+#    contributors may be used to endorse or promote products derived from
+#    this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS "AS IS"
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+shopt -s lastpipe
+
+if [[ -z $1 ]]; then
+printf "%s\n" "no tarball name specified" >&2
+exit 1
+fi
+
+if [[ ! -f go.mod ]]; then
+printf "%s %s\n" "${PWD}" "does not contain a go project" >&2
+exit 1
+fi
+
+work=$(mktemp -d -p '' dep-tarball-XXXXXX)
+export GOMODCACHE="${work}"/go-mod
+go mod download -modcacherw
+mapfile -t mod_paths < <(find . -mindepth 2 -name go.mod -print)
+for p in "${mod_paths[@]}"; do
+	printf "entering %s\n" "${p%/go.mod}"
+	pushd "${p%/go.mod}" > /dev/null
+	go mod download -modcacherw
+	popd > /dev/null
+done
+find "${GOMODCACHE}/cache/download" -type f -name '*.zip' -delete
+(
+cd "${work}"
+XZ_OPT='-T0 -9' \
+tar --owner 0 --group 0 --posix -acf "${1}"-deps.tar.xz go-mod
+rm -fr go-mod
+)
+mv "${work}"/*xz .

diff --git a/dev-go/go-dep-tarball/go-dep-tarball-0.ebuild b/dev-go/go-dep-tarball/go-dep-tarball-0.ebuild
new file mode 100644
index 000000000000..fc8c1b276db3
--- /dev/null
+++ b/dev-go/go-dep-tarball/go-dep-tarball-0.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="script to package go dependencies"
+HOMEPAGE=""
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+S="${WORKDIR}"
+
+src_install() {
+	newbin "${FILESDIR}/go-dep-tarball-0" go-dep-tarball
+}

diff --git a/dev-go/go-dep-tarball/metadata.xml b/dev-go/go-dep-tarball/metadata.xml
new file mode 100644
index 000000000000..3b2a9c591010
--- /dev/null
+++ b/dev-go/go-dep-tarball/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+<email>williamh@gentoo.org</email>
+<name>William Hubbs</name>
+</maintainer>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-go/go-dep-tarball/files/, dev-go/go-dep-tarball/
@ 2024-07-16 19:55 William Hubbs
  0 siblings, 0 replies; 2+ messages in thread
From: William Hubbs @ 2024-07-16 19:55 UTC (permalink / raw
  To: gentoo-commits

commit:     b3a2b5d432d8c506dbc179673f2921bc0ede9d01
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 16 19:55:12 2024 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Tue Jul 16 19:55:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3a2b5d4

dev-go/go-dep-tarball: add 0.1

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 dev-go/go-dep-tarball/files/go-dep-tarball-0.1  | 60 +++++++++++++++++++++++++
 dev-go/go-dep-tarball/go-dep-tarball-0.1.ebuild | 17 +++++++
 2 files changed, 77 insertions(+)

diff --git a/dev-go/go-dep-tarball/files/go-dep-tarball-0.1 b/dev-go/go-dep-tarball/files/go-dep-tarball-0.1
new file mode 100644
index 000000000000..50afdd5f068d
--- /dev/null
+++ b/dev-go/go-dep-tarball/files/go-dep-tarball-0.1
@@ -0,0 +1,60 @@
+#!/bin/bash
+# Copyright (c) 2024, William Hubbs
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 
+# 1. Redistributions of source code must retain the above copyright notice,
+#    this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+# 3. Neither the name of the copyright holder nor the names of its
+#    contributors may be used to endorse or promote products derived from
+#    this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS "AS IS"
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+shopt -s lastpipe
+
+if [[ -z $1 ]]; then
+printf "%s\n" "no tarball name specified" >&2
+exit 1
+fi
+
+if [[ ! -f go.mod ]]; then
+printf "%s %s\n" "${PWD}" "does not contain a go project" >&2
+exit 1
+fi
+
+work=$(mktemp -d -p '' dep-tarball-XXXXXX)
+export GOMODCACHE="${work}"/go-mod
+go mod download -modcacherw
+mapfile -t mod_paths < <(find . -mindepth 2 -name go.mod -print)
+for p in "${mod_paths[@]}"; do
+	printf "entering %s\n" "${p%/go.mod}"
+	pushd "${p%/go.mod}" > /dev/null
+	go mod download -modcacherw
+	popd > /dev/null
+done
+find "${GOMODCACHE}/cache/download" -type f -name '*.zip' -delete
+(
+cd "${work}"
+XZ_OPT='-T0 -9' \
+tar --owner 0 --group 0 --posix -acf "${1}"-deps.tar.xz go-mod
+rm -fr go-mod
+)
+mv "${work}"/*xz .
+rmdir "${work}"

diff --git a/dev-go/go-dep-tarball/go-dep-tarball-0.1.ebuild b/dev-go/go-dep-tarball/go-dep-tarball-0.1.ebuild
new file mode 100644
index 000000000000..32fc7db0556d
--- /dev/null
+++ b/dev-go/go-dep-tarball/go-dep-tarball-0.1.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="script to package go dependencies"
+HOMEPAGE=""
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc64 ~riscv ~s390 ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
+
+S="${WORKDIR}"
+
+src_install() {
+	newbin "${FILESDIR}/go-dep-tarball-${PV}" go-dep-tarball
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2024-07-16 19:55 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-07-16 19:55 [gentoo-commits] repo/gentoo:master commit in: dev-go/go-dep-tarball/files/, dev-go/go-dep-tarball/ William Hubbs
  -- strict thread matches above, loose matches on Subject: below --
2024-05-15 19:40 William Hubbs

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox